#ifndef BROKENSCREENEFFECT_H
#define BROKENSCREENEFFECT_H

#include "./effects/jitteringEffect.h"

///Effect of broken glass screen.
class BrokenScreenEffect: public JitteringEffect
{
public:
	float alpha;
	float minAlpha;
	float maxAlpha;
	float alphaOffset;

	void render( Render & render );
	void simulate( float dt );
	BrokenScreenEffect() {  minAlpha= 0.0; maxAlpha = 0.7;  alpha = minAlpha + EPSILON;  alphaOffset=0.01;	};
};



#endif